--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Send <tt>params</tt> to <tt>path</tt> as a POST request and return the response body.
- !ruby/struct:SM::Flow::P 
  body: <tt>params</tt> may be a String or a Hash. If <tt>params</tt> is a String, it is considered encoded data and <tt>content_type</tt> must be set accordingly. Otherwise, the <tt>params</tt> Hash is URL encoded.
full_name: ThinHTTP#post
is_singleton: false
name: post
params: (path, params, content_type = 'application/x-www-form-urlencoded')
visibility: public
